--- dnsmasq.conf.1	2007-01-11 01:35:46.000000000 +0100
+++ dnsmasq.conf	2007-01-11 01:32:05.000000000 +0100
@@ -30,6 +30,7 @@
 # Change this line if you want dns to get its upstream servers from
 # somewhere other that /etc/resolv.conf 
 #resolv-file=
+resolv-file=/etc/resolv.dnsmasq.conf
 
 # By  default,  dnsmasq  will  send queries to any of the upstream
 # servers it knows about and tries to favour servers to are  known
@@ -54,6 +55,7 @@
 # Add local-only domains here, queries in these domains are answered
 # from /etc/hosts or DHCP only.
 #local=/localnet/
+local=/|DOMAIN|/
 
 # Add domains which you want to force to an IP address here.
 # The example below send any host in doubleclick.net to a local
@@ -72,6 +74,7 @@
 #interface=
 # Or you can specify which interface _not_ to listen on
 #except-interface=
+except-interface=eth0
 # Or which to listen on by address (remember to include 127.0.0.1 if
 # you use this.)
 #listen-address=
@@ -97,6 +100,7 @@
 # Set this (and domain: see below) if you want to have a domain
 # automatically added to simple names in a hosts-file.
 #expand-hosts
+expand-hosts
 
 # Set the domain for dnsmasq. this is optional, but if it is set, it
 # does the following things.
@@ -106,6 +110,7 @@
 #    domain of all systems configured by DHCP
 # 3) Provides the domain part for "expand-hosts"
 #domain=thekelleys.org.uk
+domain=|DOMAIN|
   
 # Uncomment this to enable the integrated DHCP server, you need
 # to supply the range of addresses available for lease and optionally 
@@ -113,6 +118,7 @@
 # repeat this for each network on which you want to supply DHCP
 # service.
 #dhcp-range=192.168.0.50,192.168.0.150,12h
+dhcp-range=|LAN_NETWORK|.50,|LAN_NETWORK|.250,12h
 
 # This is an example of a DHCP range where the netmask is given. This
 # is needed for networks we reach the dnsmasq DHCP server via a relay 
